import { IIdentity } from '@essential-projects/iam_contracts';
import { APIs, DataModels } from '@process-engine/consumer_api_contracts';
export declare class ExternalTaskApiInternalAccessor implements APIs.IExternalTaskConsumerApi {
    private readonly externalApiService;
    constructor(externalApiService: APIs.IExternalTaskConsumerApi);
    fetchAndLockExternalTasks<TPayloadType>(identity: IIdentity, workerId: string, topicName: string, maxTasks: number, longPollingTimeout: number, lockDuration: number): Promise<Array<DataModels.ExternalTask.ExternalTask<TPayloadType>>>;
    extendLock(identity: IIdentity, workerId: string, externalTaskId: string, additionalDuration: number): Promise<void>;
    handleBpmnError(identity: IIdentity, workerId: string, externalTaskId: string, errorCode: string): Promise<void>;
    handleServiceError(identity: IIdentity, workerId: string, externalTaskId: string, errorMessage: string, errorDetails: string): Promise<void>;
    finishExternalTask<TResultType>(identity: IIdentity, workerId: string, externalTaskId: string, payload: TResultType): Promise<void>;
    private ensureIsAuthorized;
}
